# class KThemePixmap | This class adds simple time management to KPixmap for use in flushing KThemeCache. More...
Definition | `#include <kthemebase.h>`
Inherits | KPixmap (kdecore) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Types

- enum BorderType {Top=0, Bottom, Left, Right, TopLeft, TopRight, BottomLeft, BottomRight}

#### Public Methods

- KThemePixmap (bool timer = true)
- KThemePixmap (const KThemePixmap &p)
- ~KThemePixmap ()
- QPixmap* border (BorderType type)
- void setBorder (BorderType type, const QPixmap &p)
- void updateAccessed ()
- bool isOld ()

#### Protected Members

- QTime *t
- QPixmap *b[8]

## Detailed Description

This class adds simple time management to KPixmap for use in flushing KThemeCache.

enum BorderType {Top=0, Bottom, Left, Right, TopLeft, TopRight, BottomLeft, BottomRight} | ### BorderType

KThemePixmap (bool timer = true) | ### KThemePixmap

KThemePixmap (const KThemePixmap &p) | ### KThemePixmap

~KThemePixmap () | ### ~KThemePixmap

QPixmap* border (BorderType type) | ### border

void setBorder (BorderType type, const QPixmap &p) | ### setBorder

void updateAccessed () | ### updateAccessed

bool isOld () | ### isOld

QTime * t | ### t

[protected]

QPixmap * b[8] | ### b[8]

[protected]

- Author: Daniel M. Duley <mosfet@kde.org>
- Generated: root@sparc.ports.openbsd.org on Wed May 2 09:37:45 2001, using kdoc 2.0a53.